OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKBinXCAF
BinXCAFDrivers

# BinXCAFDrivers Class Reference

`#include <BinXCAFDrivers.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Handle_Standard_Transient | Factory (const Standard_GUID &theGUID)
static Standard_EXPORT Handle_BinMDF_ADriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&MsgDrv)
| Creates the table of drivers of types supported .

## Member Function Documentation

static Standard_EXPORT Handle_BinMDF_ADriverTable BinXCAFDrivers::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | MsgDrv | ) | `[static]`

static Standard_EXPORT Handle_Standard_Transient BinXCAFDrivers::Factory | ( | const Standard_GUID & | theGUID | ) | `[static]`

void BinXCAFDrivers::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinXCAFDrivers::operator new | ( | size_t | size | ) | `[inline]`

void* BinXCAFDrivers::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- BinXCAFDrivers.hxx